Subject: bug#48090: closed (Close)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 25 Jul 2025 13:49:03 +0000

Your bug report

#48090: Issue with itk-snap (vtk-6?)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48090: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=48090
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Close
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Fri, 25 Jul 2025 15:47:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Not reproducible anymore.

Andreas

Subject: Issue with itk-snap (vtk-6?)
From: Fabio Natali <[email-masked]>
To: [email-masked]
Date: Wed, 28 Apr 2021 21:37:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear All,

I seem to be having problems with the installation of an image
processing application called ITK-SNAP [0, 1]. This is the error message
I get:

    $ guix environment --pure --ad-hoc itk-snap
    The following derivations will be built:
       /gnu/store/qx7cx3gjqc709gla302yyaggbihq9kw0-itk-snap-3.8.0.drv
       /gnu/store/r3ndf5r2ck8n5h5sq4phipdvgmv5bagg-vtk-6.3.0.drv
    building /gnu/store/r3ndf5r2ck8n5h5sq4phipdvgmv5bagg-vtk-6.3.0.drv...
    | 'configure' phasebuilder for `/gnu/store/r3ndf5r2ck8n5h5sq4phipdvgmv5bagg-vtk-6.3.0.drv' failed with exit code 1
    build of /gnu/store/r3ndf5r2ck8n5h5sq4phipdvgmv5bagg-vtk-6.3.0.drv failed
    View build log at '/var/log/guix/drvs/r3/ndf5r2ck8n5h5sq4phipdvgmv5bagg-vtk-6.3.0.drv.bz2'.
    cannot build derivation `/gnu/store/qx7cx3gjqc709gla302yyaggbihq9kw0-itk-snap-3.8.0.drv': 1 dependencies couldn't be built
    guix environment: error: build of `/gnu/store/qx7cx3gjqc709gla302yyaggbihq9kw0-itk-snap-3.8.0.drv' failed

If I understand it correctly, this seems to indicate an underlying
problem with vtk-6. As a matter of fact, this also fails:

    $ guix environment --pure --ad-hoc [email-masked]
    The following derivation will be built:
       /gnu/store/r3ndf5r2ck8n5h5sq4phipdvgmv5bagg-vtk-6.3.0.drv
    building /gnu/store/r3ndf5r2ck8n5h5sq4phipdvgmv5bagg-vtk-6.3.0.drv...
    - 'configure' phasebuilder for `/gnu/store/r3ndf5r2ck8n5h5sq4phipdvgmv5bagg-vtk-6.3.0.drv' failed with exit code 1
    build of /gnu/store/r3ndf5r2ck8n5h5sq4phipdvgmv5bagg-vtk-6.3.0.drv failed
    View build log at '/var/log/guix/drvs/r3/ndf5r2ck8n5h5sq4phipdvgmv5bagg-vtk-6.3.0.drv.bz2'.
    guix environment: error: build of `/gnu/store/r3ndf5r2ck8n5h5sq4phipdvgmv5bagg-vtk-6.3.0.drv' failed

The output of the following command is attached.

    $ bzcat /var/log/guix/drvs/r3/ndf5r2ck8n5h5sq4phipdvgmv5bagg\
    -vtk-6.3.0.drv.bz2 | tail -n 50

Interestingly, a more recent version of vtk seems to install just fine.

    $ guix environment --pure --ad-hoc vtk
    [this works as expected]

It may be worth to mention that I'm running Guix on a foreign
distribution. This is how my guix self-describes itself:

    $ guix describe
      guix 8dcbd8a
        repository URL: https://git.savannah.gnu.org/git/guix.git
        branch: master
        commit: 8dcbd8a374f21f478f0059d4d62e364897e6e667

Is there anything you would suggest I could investigate to solve this?

Many thanks,

Fabio.

- [0] http://www.itksnap.org/
- [1] https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/image-processing.scm?id=8dcbd8a374f21f478f0059d4d62e364897e6e667#n942

-- 
Fabio Natali
https://fabionatali.com